org.apache.felix.gogo.runtime

## Class Pipe

- java.lang.Object
- - org.apache.felix.gogo.runtime.Pipe

All Implemented Interfaces:
  Callable<Pipe.Result>, Process

    public class Pipe
    extends Object
    implements Callable<Pipe.Result>, Process

### Nested Class Summary

Nested Classes
`static class` `Pipe.Result`

### Nested classes/interfaces inherited from interface org.apache.felix.service.command.Process

`Process.Utils`

### Constructor Summary

Constructors
Constructor and Description
`Pipe(Closure closure, org.apache.felix.gogo.runtime.CommandSessionImpl.JobImpl job, Parser.Statement statement, Channel[] streams, boolean[] toclose, boolean endOfPipe)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Pipe.Result` `call()`
`PrintStream` `err()`
`void` `error(int error)` Set the error code for the currently running pipe.
`static Pipe` `getCurrentPipe()`
`InputStream` `in()`
`boolean` `isTty(int fd)` Check if the given descriptor for the currently running pipe is the terminal or not.
`Job` `job()` Get the job controlling this process
`PrintStream` `out()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Pipe

    public Pipe(Closure closure,
                org.apache.felix.gogo.runtime.CommandSessionImpl.JobImpl job,
                Parser.Statement statement,
                Channel[] streams,
                boolean[] toclose,
                boolean endOfPipe)

### Method Detail

#### getCurrentPipe

    public static Pipe getCurrentPipe()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### in

    public InputStream in()

Specified by:
  `in` in interface `Process`

#### out

    public PrintStream out()

Specified by:
  `out` in interface `Process`

#### err

    public PrintStream err()

Specified by:
  `err` in interface `Process`

#### job

    public Job job()

Description copied from interface: `Process`
Get the job controlling this process

Specified by:
  `job` in interface `Process`
Returns:
  Job

#### isTty

    public boolean isTty(int fd)

Description copied from interface: `Process`
Check if the given descriptor for the currently running pipe is the terminal or not.

Specified by:
  `isTty` in interface `Process`
Parameters:
  `fd` - the fd
Returns:
  boolean

#### error

    public void error(int error)

Description copied from interface: `Process`
Set the error code for the currently running pipe.

Specified by:
  `error` in interface `Process`
Parameters:
  `error` - the error

#### call

    public Pipe.Result call()

Specified by:
  `call` in interface `Callable<Pipe.Result>`